## easystroke 0.2.2.1

=== Makefile ===
#  Copyright (c) 2008, Thomas Jaeger <ThJaeger@gmail.com>
# 
#  Permission to use, copy, modify, and/or distribute this software for any
#  purpose with or without fee is hereby granted, provided that the above
#  copyright notice and this permission notice appear in all copies.
# 
#  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY
#  SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
#  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
#  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

DESTDIR  =
PREFIX   = /usr/local
BINDIR   = $(PREFIX)/bin
ICONDIR  = $(PREFIX)/share/icons/hicolor/scalable/apps
MENUDIR  = $(PREFIX)/share/applications
DFLAGS   = #-ggdb #-pg
OFLAGS   = -Os
AOFLAGS  = -O3
CXXFLAGS = -Wall $(DFLAGS) `pkg-config gtkmm-2.4 gthread-2.0 dbus-glib-1 --cflags`
LDFLAGS  = $(DFLAGS)
TARGETS  = easystroke

LIBS     = $(DFLAGS) -lboost_serialization -lXtst `pkg-config gtkmm-2.4 gthread-2.0 dbus-glib-1 --libs`

LIBS_STATIC = $(DFLAGS) -lXtst `pkg-config gtkmm-2.4 gthread-2.0 dbus-glib-1 --libs` /usr/lib/libboost_serialization.a

BINARY   = easystroke
ICON     = easystroke.svg
MENU     = easystroke.desktop
MANPAGE  = easystroke.1

CCFILES  = $(wildcard *.cc)
CFILES   = gui.c
OFILES   = $(patsubst %.cc,%.o,$(CCFILES)) $(patsubst %.c,%.o,$(CFILES)) 
DEPFILES = $(wildcard *.Po)
GENFILES = gui.gb gui.c

all: $(TARGETS)

.PHONY: all clean $(BINARY)

clena:	clean

clean:
	$(RM) $(OFILES) $(BINARY) $(GENFILES) $(DEPFILES) $(MANPAGE)

include $(DEPFILES)

$(BINARY): $(OFILES)
	$(CXX) $(LDFLAGS) -o $(BINARY) $(OFILES) $(LIBS)

static: $(OFILES)
	$(CXX) $(LDFLAGS) -o $(BINARY) $(OFILES) $(LIBS_STATIC)
	strip -s $(BINARY)

stroke.o: stroke.cc
	$(CXX) $(CXXFLAGS) $(AOFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<

%.o: %.cc
	$(CXX) $(CXXFLAGS) $(OFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<

gui.gb: gui.glade
	gtk-builder-convert gui.glade gui.gb

gui.c: gui.gb
	echo "const char *gui_buffer = \"\\" > gui.c
	sed 's/"/\\"/g' gui.gb | sed 's/.*/&\\n\\/' >> gui.c
	echo "\";" >> gui.c

vartest: var.cc var.h
	g++ -ggdb `pkg-config gtkmm-2.4 gthread-2.0 --cflags --libs` -DTEST_VAR var.cc -o vartest

man:	$(MANPAGE)

$(MANPAGE):	$(BINARY)
	help2man -N -n "X11 gesture recognition application" ./$(BINARY) > $(MANPAGE)

install: all
	install -Ds $(BINARY) $(DESTDIR)$(BINDIR)/$(BINARY)
	install -D -m 644 $(ICON) $(DESTDIR)$(ICONDIR)/$(ICON)
	install -D -m 644 $(MENU) $(DESTDIR)$(MENUDIR)/$(MENU)

uninstall:
	rm $(DESTDIR)$(BINDIR)/$(BINARY) || true
	rm $(DESTDIR)$(ICONDIR)/$(ICON) || true
	rm $(DESTDIR)$(MENUDIR)/$(DESKTOP) || true

=== access/Makefile ===
#  Copyright (c) 2008, Thomas Jaeger <ThJaeger@gmail.com>
# 
#  Permission to use, copy, modify, and/or distribute this software for any
#  purpose with or without fee is hereby granted, provided that the above
#  copyright notice and this permission notice appear in all copies.
# 
#  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY
#  SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
#  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
#  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

all:
	g++ -Wall `pkg-config gtkmm-2.4 gthread-2.0 cspi-1.0 --cflags --libs` track-focus.c -o track-focus

=== doc/Makefile ===
#  Copyright (c) 2008, Thomas Jaeger <ThJaeger@gmail.com>
# 
#  Permission to use, copy, modify, and/or distribute this software for any
#  purpose with or without fee is hereby granted, provided that the above
#  copyright notice and this permission notice appear in all copies.
# 
#  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY
#  SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
#  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
#  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

all: algo.pdf

algo.pdf:	algo.tex
	pdflatex algo.tex

clean:
	rm algo.aux algo.log algo.pdf

=== unminimize/Makefile ===
#  Copyright (c) 2008, Thomas Jaeger <ThJaeger@gmail.com>
# 
#  Permission to use, copy, modify, and/or distribute this software for any
#  purpose with or without fee is hereby granted, provided that the above
#  copyright notice and this permission notice appear in all copies.
# 
#  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY
#  SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
#  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
#  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

all: unminimize

unminimize: unminimize.cc
	g++ -Wall -Os -lX11 unminimize.cc -o unminimize

## easystroke 0.4.1.1

=== Makefile ===
#  Copyright (c) 2008-2009, Thomas Jaeger <ThJaeger@gmail.com>
#
#  Permission to use, copy, modify, and/or distribute this software for any
#  purpose with or without fee is hereby granted, provided that the above
#  copyright notice and this permission notice appear in all copies.
#
#  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
#  WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS.  IN NO EVENT SHALL ISC BE LIABLE FOR ANY
#  SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
#  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
#  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
#  CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

DESTDIR  =
PREFIX   = /usr/local
BINDIR   = $(PREFIX)/bin
ICONDIR  = $(PREFIX)/share/icons/hicolor/scalable/apps
MENUDIR  = $(PREFIX)/share/applications
LOCALEDIR= $(PREFIX)/share/locale
DFLAGS   =
OFLAGS   = -Os
AOFLAGS  = -O3
STROKEFLAGS  = -Wall -std=c99 $(DFLAGS)
CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
LDFLAGS  = $(DFLAGS)

LIBS     = $(DFLAGS) -lboost_serialization -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`

BINARY   = easystroke
ICON     = easystroke.svg
MENU     = easystroke.desktop
MANPAGE  = easystroke.1

CCFILES  = $(wildcard *.cc)
HFILES   = $(wildcard *.h)
OFILES   = $(patsubst %.cc,%.o,$(CCFILES)) stroke.o gui.o desktop.o version.o
POFILES  = $(wildcard po/*.po)
MOFILES  = $(patsubst po/%.po,po/%/LC_MESSAGES/easystroke.mo,$(POFILES))
MODIRS   = $(patsubst po/%.po,po/%,$(POFILES))
DEPFILES = $(wildcard *.Po)
GENFILES = gui.c desktop.c dbus-server.h po/POTFILES.in easystroke.desktop
GZFILES  = $(wildcard *.gz)

VERSION  = $(shell test -e debian/changelog && grep '(.*)' debian/changelog | sed 's/.*(//' | sed 's/).*//' | head -n1 || (test -e version && cat version || git describe))
GIT      = $(wildcard .git/index version)
DIST     = easystroke-$(VERSION)
ARCH     = $(shell uname -m)

-include debug.mk

all: $(BINARY) $(MOFILES)

.PHONY: all clean snapshot release translate update-translations compile-translations

clean:
	$(RM) $(OFILES) $(BINARY) $(GENFILES) $(DEPFILES) $(MANPAGE) $(GZFILES) po/*.pot
	$(RM) -r $(MODIRS)

include $(DEPFILES)

$(BINARY): $(OFILES)
	$(CXX) $(LDFLAGS) -o $@ $(OFILES) $(LIBS)

stroke.o: stroke.c
	$(CC) $(STROKEFLAGS) $(AOFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<

%.o: %.cc
	$(CXX) $(CXXFLAGS) $(OFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<

version.o: $(GIT)
	echo 'const char *version_string = "$(VERSION)";' | $(CXX) -o $@ -c -xc++ -

gui.c: gui.glade
	echo "const char *gui_buffer = \"\\" > $@
	sed 's/"/\\"/g' $< | sed 's/ *\(.*\)/\1\\n\\/' >> $@
	echo "\";" >> $@

easystroke.desktop: easystroke.desktop.in $(MOFILES)
	intltool-merge po/ -d -u $< $@

desktop.c: easystroke.desktop
	echo "const char *desktop_file = \"\\" > $@
	sed 's/Exec=easystroke/Exec=%s/' $< | sed 's/"/\\"/g' | sed 's/.*/&\\n\\/' >> $@
	echo "\";" >> $@

dbus-server.cc: dbus-server.h

dbus-server.h: dbus.xml
	dbus-binding-tool --prefix=server --mode=glib-server --output=$@ $<

po/POTFILES.in: $(CCFILES) $(HFILES)
	$(RM) $@
	for f in `grep -El "\<_\(" $^`; do echo $$f >> $@; done
	echo gui.glade >> $@
	echo easystroke.desktop.in >> $@

translate: po/POTFILES.in
	cd po && XGETTEXT_ARGS="--package-name=easystroke --copyright-holder='Thomas Jaeger <ThJaeger@gmail.com>'" intltool-update --pot -g messages

compile-translations: $(MOFILES)

update-translations: po/POTFILES.in
	cd po && for f in $(POFILES); do \
		intltool-update `echo $$f | sed "s|po/\(.*\)\.po$$|\1|"`; \
	done

po/%/LC_MESSAGES/easystroke.mo: po/%.po
	mkdir -p po/$*/LC_MESSAGES
	msgfmt -c $< -o $@

man:	$(MANPAGE)

$(MANPAGE):	$(BINARY)
	help2man -N -n "X11 gesture recognition application" ./$(BINARY) > $@

install: all
	install -Ds $(BINARY) $(DESTDIR)$(BINDIR)/$(BINARY)
	install -D -m 644 $(ICON) $(DESTDIR)$(ICONDIR)/$(ICON)
	install -D -m 644 $(MENU) $(DESTDIR)$(MENUDIR)/$(MENU)
	for f in $(MOFILES); do \
		install -D -m 644 $$f `echo $$f | sed "s|^po/|$(DESTDIR)$(LOCALEDIR)/|"`; \
	done

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/$(BINARY)
	$(RM) $(DESTDIR)$(ICONDIR)/$(ICON)
	$(RM) $(DESTDIR)$(MENUDIR)/$(MENU)
	for f in $(MOFILES); do \
		$(RM) `echo $$f | sed "s|^po/|$(DESTDIR)$(LOCALEDIR)/|"`; \
	done

snapshot: $(DIST)_$(ARCH).tar.gz

tarball: $(DIST).tar.gz

release: $(DIST).tar.gz
	rsync -avP $(DIST).tar.gz thjaeger@frs.sourceforge.net:uploads/

tmp/$(DIST): $(GIT)
	$(RM) -r tmp
	mkdir tmp
	git archive --format=tar --prefix=$(DIST)/ HEAD | (cd tmp && tar x)
	echo $(VERSION) > $@/version
	$(RM) $@/.gitignore $@/release

$(DIST)_$(ARCH).tar.gz: tmp/$(DIST)
	$(MAKE) -j2 -C $<
	strip -s $</easystroke
	tar -czf $@ -C $< easystroke
	$(RM) -r tmp

$(DIST).tar.gz: tmp/$(DIST)
	tar -czf $@ -C tmp/ $(DIST)
	$(RM) -r tmp

## easystroke 0.4.9

=== Makefile ===
--- 
+++ 
@@ -19,13 +19,14 @@
 MENUDIR  = $(PREFIX)/share/applications
 LOCALEDIR= $(PREFIX)/share/locale
 DFLAGS   =
-OFLAGS   = -Os
+OFLAGS   = -O2
 AOFLAGS  = -O3
 STROKEFLAGS  = -Wall -std=c99 $(DFLAGS)
 CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
 LDFLAGS  = $(DFLAGS)
 
-LIBS     = $(DFLAGS) -lboost_serialization -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+BOOSTLIB = $(shell echo 'int main(int, char**) {}' | g++ -lboost_serialization -o /dev/null -xc++ - 2>/dev/null && echo -lboost_serialization || echo -lboost_serialization-mt)
+LIBS     = $(DFLAGS) $(BOOSTLIB) -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg

## easystroke 0.5.3

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,7 @@
 CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
 LDFLAGS  = $(DFLAGS)
 
-BOOSTLIB = $(shell echo 'int main(int, char**) {}' | g++ -lboost_serialization -o /dev/null -xc++ - 2>/dev/null && echo -lboost_serialization || echo -lboost_serialization-mt)
-LIBS     = $(DFLAGS) $(BOOSTLIB) -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+LIBS     = $(DFLAGS) -lboost_serialization-mt -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg

## easystroke 0.5.4

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
 LDFLAGS  = $(DFLAGS)
 
-LIBS     = $(DFLAGS) -lboost_serialization-mt -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+LIBS     = $(DFLAGS) -lboost_serialization-mt -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg

## easystroke 0.5.5.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
 LDFLAGS  = $(DFLAGS)
 
-LIBS     = $(DFLAGS) -lboost_serialization-mt -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+LIBS     = $(DFLAGS) -lboost_serialization -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg
@@ -45,13 +45,12 @@
 VERSION  = $(shell test -e debian/changelog && grep '(.*)' debian/changelog | sed 's/.*(//' | sed 's/).*//' | head -n1 || (test -e version && cat version || git describe))
 GIT      = $(wildcard .git/index version)
 DIST     = easystroke-$(VERSION)
-ARCH     = $(shell uname -m)
 
 -include debug.mk
 
 all: $(BINARY) $(MOFILES)
 
-.PHONY: all clean snapshot release translate update-translations compile-translations
+.PHONY: all clean translate update-translations compile-translations
 
 clean:
 	$(RM) $(OFILES) $(BINARY) $(GENFILES) $(DEPFILES) $(MANPAGE) $(GZFILES) po/*.pot
@@ -130,12 +129,7 @@
 		$(RM) `echo $$f | sed "s|^po/|$(DESTDIR)$(LOCALEDIR)/|"`; \
 	done
 
-snapshot: $(DIST)_$(ARCH).tar.gz
-
 tarball: $(DIST).tar.gz
-
-release: $(DIST).tar.gz
-	rsync -avP $(DIST).tar.gz thjaeger@frs.sourceforge.net:uploads/
 
 tmp/$(DIST): $(GIT)
 	$(RM) -r tmp
@@ -144,12 +138,6 @@
 	echo $(VERSION) > $@/version
 	$(RM) $@/.gitignore $@/release
 
-$(DIST)_$(ARCH).tar.gz: tmp/$(DIST)
-	$(MAKE) -j2 -C $<
-	strip -s $</easystroke
-	tar -czf $@ -C $< easystroke
-	$(RM) -r tmp
-
 $(DIST).tar.gz: tmp/$(DIST)
 	tar -czf $@ -C tmp/ $(DIST)
 	$(RM) -r tmp

## easystroke 0.5.6

=== Makefile ===
--- 
+++ 
@@ -104,6 +104,12 @@
 		intltool-update `echo $$f | sed "s|po/\(.*\)\.po$$|\1|"`; \
 	done
 
+strip-translations:
+	for f in $(POFILES); do \
+		grep -v '^#:' $$f > $$f.out; \
+		mv $$f.out $$f; \
+	done
+
 po/%/LC_MESSAGES/easystroke.mo: po/%.po
 	mkdir -p po/$*/LC_MESSAGES
 	msgfmt -c $< -o $@

=== debian/changelog ===
easystroke (0.5.6-0ubuntu1) raring; urgency=low

  [ Logan Rosen ]
  * New upstream release. Should fix the following bugs, according to
    Tom Jaeger on Launchpad:
    - Exceptions don't work (LP: #995841).
    - The focus randomly changes between windows if easystroke is in use and
      the evdev driver is built with mtdev (LP: #1048865).
  * debian/source/format: Indicate format of 3.0 (quilt).
  * debian/control: Bump Standards-Version to 3.9.4.

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Update to DEP-5 style.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 08 Jan 2013 01:44:02 -0500

easystroke (0.5.5.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Update build structure to satisfy Lintian.
  * Bump Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 16 Jul 2012 11:25:21 +0200

easystroke (0.5.4-0ubuntu3) quantal; urgency=low

  * No change rebuild for boost1.49 transition

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 03 May 2012 20:59:03 +0100

easystroke (0.5.4-0ubuntu2) oneiric; urgency=low

  * No change rebuild for boost1.46 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Sep 2011 22:42:42 -0400

easystroke (0.5.4-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #623955)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Wed, 25 Aug 2010 14:38:25 +0200

easystroke (0.5.3-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #521548)
    - Fixes a crash when a gesture times out during recording

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sat, 13 Feb 2010 19:09:23 -0500

easystroke (0.5.2-0ubuntu1) lucid; urgency=low

  [ Thomas Jaeger ]
  * New upstream release (LP: #502366)
    - Fixes crash when the third axis is a relative one (LP: #466532)
    - Uses XI2 now, so upgrade Build-Depends accordingly

  [ Benjamin Drung ]
  * Wrap Build-Depends
  * Bump Standards-Version to 3.8.3
  * Add ${misc:Depends} to dependency list
  * Switch to debhelper v7.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 03 Jan 2010 01:02:54 +0100

easystroke (0.4.9-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #416097)
   - Upstream workaround for up and down button problem (LP: #412169)
   - Include translations (LP: #355251) 

 -- Julien Lavergne <gilir@ubuntu.com>  Thu, 20 Aug 2009 18:49:34 +0200

easystroke (0.4.4-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #377059)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 15 May 2009 15:17:06 -0400

easystroke (0.4.1.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #344040)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Mon, 16 Mar 2009 22:58:42 -0400

easystroke (0.4.1-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 20 Feb 2009 16:21:02 -0500

easystroke (0.4.0.98.1-0ubuntu1) jaunty; urgency=low

  * New upstream beta (LP: #329889)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 15 Feb 2009 18:43:29 -0500

easystroke (0.4.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Packaging changes
    - Drop obsolete dependencies
    - Don't suggest xautomation anymore since most of xte's features are
      present in easystroke now.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 08 Feb 2009 11:51:27 -0500

easystroke (0.3.98.1-0ubuntu1) jaunty; urgency=low

  * New upstream beta (LP: #318051)
  * Use lzma compression in the deb.
    - pass -Z lzma to dh_builddeb
    - Pre-Depend on dpkg (>= 1.14.12ubuntu3)
  * Build-Depend on intltool for the i18n of the desktop file.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 16 Jan 2009 11:31:54 -0500

easystroke (0.3.97.2-0ubuntu1) jaunty; urgency=low

  * New upstream alpha

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 09 Jan 2009 17:06:09 -0500

easystroke (0.3.97.1) jaunty; urgency=low

  * New upstream alpha

 -- Thomas Jaeger <ThJaeger@gmail.com>  Tue, 06 Jan 2009 17:45:41 -0500

easystroke (0.3.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Thomas Jaeger <ThJaeger@gmail.com>  Mon, 22 Dec 2008 21:13:32 +0100

easystroke (0.2.2.1-0ubuntu2) intrepid; urgency=low

  [ Thomas Jaeger ]
  * Set a link open function to make documentation button work
  * Don't set page_gize in adjustments for spin buttons to fix gtk
    warnings.

  [ James Westby ]
  * Depend on xdg-utils for xdg-open, which is callled to show the
    documentation.

 -- Thomas Jaeger <ThJaeger@gmail.com>  Tue, 30 Sep 2008 12:44:57 -0400

easystroke (0.2.2.1-0ubuntu1) intrepid; urgency=low

  * New upstream bugfix release (LP: #272593)
    - better handling of unexpected X server behavior
    - don't leave zombie processes behind
    - make sure the gesture line disappears after a timeout
    - workaround for multi-screen setups

  * fix bug that caused popup preferences not to be saved automatically

 -- Thomas Jaeger <ThJaeger@gmail.com>  Thu, 25 Sep 2008 10:55:00 -0400

easystroke (0.2.2-0ubuntu1) intrepid; urgency=low

  * Initial release (LP: #254893)

 -- Thomas Jaeger <ThJaeger@gmail.com>  Sun, 17 Aug 2008 19:19:14 -0400

=== debian/control ===
Source: easystroke
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Jaeger <ThJaeger@gmail.com>
Build-Depends: debhelper (>= 7),
               help2man,
               intltool,
               libboost-serialization-dev,
               libdbus-glib-1-dev,
               libgtkmm-2.4-dev,
               libx11-dev (>= 2:1.3),
               libxi-dev (>= 2:1.3),
               libxtst-dev,
               xserver-xorg-dev (>= 2:1.7.0)
Standards-Version: 3.9.4
Homepage: http://easystroke.sourceforge.net

Package: easystroke
Architecture: any
Pre-Depends: dpkg (>= 1.14.12ubuntu3)
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Suggests: cellwriter
Description: gesture recognition program
 Easystroke is a gesture-recognition application for X11. It aims to be highly
 configurable while at the same time providing an intuitive user interface. It
 was designed with a Tablet PC in mind, but it also works well with a mouse.

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep
build-arch: build-indep
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) DESTDIR=$(CURDIR)/debian/easystroke PREFIX=/usr man install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman easystroke.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Z lzma

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## easystroke 0.5.99.2

=== debian/changelog ===
easystroke (0.5.99.2-0ubuntu1) raring; urgency=low

  [ Thomas Jaeger ]
  * New upstream release candidate.  Fixes
    - editing actions no longer possible (LP: #1106922)
  * debian/control: dependent on gtkmm3.0 now

  [ Julian Taylor ]
  * generate C source from vala file
    - requires patch to gtk+3.0.vapi done during build
    - add build dependency on libgtk+3.0-dev, valac-0.18 and valac-0.18-vapi
  * drop deprecated dh_builddeb -- -Z lzma for -Z xz

 -- Thomas Jaeger <ThJaeger@gmail.com>  Fri, 01 Mar 2013 04:29:16 -0500

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
                intltool,
                libboost-serialization-dev,
                libdbus-glib-1-dev,
-               libgtkmm-2.4-dev,
+               libgtk-3-dev,
+               libgtkmm-3.0-dev,
                libx11-dev (>= 2:1.3),
                libxi-dev (>= 2:1.3),
                libxtst-dev,
+               valac-0.18,
+               valac-0.18-vapi,
                xserver-xorg-dev (>= 2:1.7.0)
 Standards-Version: 3.9.4
 Homepage: http://easystroke.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
+	cp /usr/share/vala-0.18/vapi/gtk+-3.0.vapi debian/
+	cd debian && patch -p1 < gtk3vapi.patch
+	valac --vapidir debian/ --pkg gtk+-3.0 --pkg gdk-3.0 --pkg atk --pkg x11 -H cellrenderertextish.h -C cellrenderertextish.vala
 	$(MAKE) PREFIX=/usr
 	touch $@
 
@@ -13,6 +16,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	$(MAKE) clean
+	rm -f debian/gtk+-3.0.vapi
 	dh_clean
 
 install: build
@@ -38,7 +42,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb -- -Z lzma
+	dh_builddeb -- -Z xz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install

## easystroke 0.6.0

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,11 @@
 OFLAGS   = -O2
 AOFLAGS  = -O3
 STROKEFLAGS  = -Wall -std=c99 $(DFLAGS)
-CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-2.4 dbus-glib-1 --cflags`
+CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-3.0 dbus-glib-1 --cflags`
+CFLAGS   = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtk+-3.0 --cflags` -DGETTEXT_PACKAGE='"easystroke"'
 LDFLAGS  = $(DFLAGS)
 
-LIBS     = $(DFLAGS) -lboost_serialization -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-2.4 dbus-glib-1 --libs`
+LIBS     = $(DFLAGS) -lboost_serialization -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-3.0 dbus-glib-1 --libs`
 
 BINARY   = easystroke
 ICON     = easystroke.svg
@@ -34,12 +35,12 @@
 
 CCFILES  = $(wildcard *.cc)
 HFILES   = $(wildcard *.h)
-OFILES   = $(patsubst %.cc,%.o,$(CCFILES)) stroke.o gui.o desktop.o version.o
+OFILES   = $(patsubst %.cc,%.o,$(CCFILES)) stroke.o cellrenderertextish.o gui.o desktop.o version.o
 POFILES  = $(wildcard po/*.po)
 MOFILES  = $(patsubst po/%.po,po/%/LC_MESSAGES/easystroke.mo,$(POFILES))
 MODIRS   = $(patsubst po/%.po,po/%,$(POFILES))
 DEPFILES = $(wildcard *.Po)
-GENFILES = gui.c desktop.c dbus-server.h po/POTFILES.in easystroke.desktop
+GENFILES = gui.c desktop.c po/POTFILES.in easystroke.desktop
 GZFILES  = $(wildcard *.gz)
 
 VERSION  = $(shell test -e debian/changelog && grep '(.*)' debian/changelog | sed 's/.*(//' | sed 's/).*//' | head -n1 || (test -e version && cat version || git describe))
@@ -64,6 +65,9 @@
 stroke.o: stroke.c
 	$(CC) $(STROKEFLAGS) $(AOFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<
 
+%.o: %.c
+	$(CC) $(CFLAGS) $(OFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<
+
 %.o: %.cc
 	$(CXX) $(CXXFLAGS) $(OFLAGS) -MT $@ -MMD -MP -MF $*.Po -o $@ -c $<
 
@@ -72,7 +76,7 @@
 
 gui.c: gui.glade
 	echo "const char *gui_buffer = \"\\" > $@
-	sed 's/"/\\"/g' $< | sed 's/ *\(.*\)/\1\\n\\/' >> $@
+	sed 's/"GtkWindow"/"GtkApplicationWindow"/' $< | sed 's/"/\\"/g' | sed 's/ *\(.*\)/\1\\n\\/' >> $@
 	echo "\";" >> $@
 
 easystroke.desktop: easystroke.desktop.in $(MOFILES)
@@ -80,13 +84,8 @@
 
 desktop.c: easystroke.desktop
 	echo "const char *desktop_file = \"\\" > $@
-	sed 's/Exec=easystroke/Exec=%s/' $< | sed 's/"/\\"/g' | sed 's/.*/&\\n\\/' >> $@
+	sed 's/Exec=easystroke/Exec=%1$$s/' $< | sed 's/"/\\"/g' | sed 's/.*/&\\n\\/' >> $@
 	echo "\";" >> $@
-
-dbus-server.cc: dbus-server.h
-
-dbus-server.h: dbus.xml
-	dbus-binding-tool --prefix=server --mode=glib-server --output=$@ $<
 
 po/POTFILES.in: $(CCFILES) $(HFILES)
 	$(RM) $@

=== debian/changelog ===
easystroke (0.6.0-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 15:25:08 +0100

easystroke (0.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Use vala-0.20 instead of vala-0.18

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Jun 2013 14:52:26 -0400

easystroke (0.5.99.2-0ubuntu2) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libx11-dev (>= 2:1.3),
                libxi-dev (>= 2:1.3),
                libxtst-dev,
-               valac-0.18,
-               valac-0.18-vapi,
+               valac-0.20,
+               valac-0.20-vapi,
                xserver-xorg-dev (>= 2:1.7.0)
 Standards-Version: 3.9.4
 Homepage: http://easystroke.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	cp /usr/share/vala-0.18/vapi/gtk+-3.0.vapi debian/
+	cp /usr/share/vala-0.20/vapi/gtk+-3.0.vapi debian/
 	cd debian && patch -p1 < gtk3vapi.patch
 	valac --vapidir debian/ --pkg gtk+-3.0 --pkg gdk-3.0 --pkg atk --pkg x11 -H cellrenderertextish.h -C cellrenderertextish.vala
 	$(MAKE) PREFIX=/usr

## easystroke 0.6.0%2Bgit20160705

=== Makefile ===
--- 
+++ 
@@ -21,9 +21,11 @@
 DFLAGS   =
 OFLAGS   = -O2
 AOFLAGS  = -O3
-STROKEFLAGS  = -Wall -std=c99 $(DFLAGS)
-CXXFLAGS = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtkmm-3.0 dbus-glib-1 --cflags`
-CFLAGS   = -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" `pkg-config gtk+-3.0 --cflags` -DGETTEXT_PACKAGE='"easystroke"'
+STROKEFLAGS  = -Wall -std=c11 $(DFLAGS)
+CXXSTD = -std=c++11
+INCLUDES = $(shell pkg-config gtkmm-3.0 dbus-glib-1 --cflags)
+CXXFLAGS = $(CXXSTD) -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" $(INCLUDES)
+CFLAGS   = -std=c11 -Wall $(DFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" $(INCLUDES) -DGETTEXT_PACKAGE='"easystroke"'
 LDFLAGS  = $(DFLAGS)
 
 LIBS     = $(DFLAGS) -lboost_serialization -lX11 -lXext -lXi -lXfixes -lXtst `pkg-config gtkmm-3.0 dbus-glib-1 --libs`
@@ -51,7 +53,7 @@
 
 all: $(BINARY) $(MOFILES)
 
-.PHONY: all clean translate update-translations compile-translations
+.PHONY: all clean translate update-translations compile-translations complete
 
 clean:
 	$(RM) $(OFILES) $(BINARY) $(GENFILES) $(DEPFILES) $(MANPAGE) $(GZFILES) po/*.pot
@@ -146,3 +148,9 @@
 $(DIST).tar.gz: tmp/$(DIST)
 	tar -czf $@ -C tmp/ $(DIST)
 	$(RM) -r tmp
+
+complete: .clang_complete
+
+.clang_complete: Makefile
+	@echo $(CXXSTD) > $@
+	@$(foreach inc,$(INCLUDES),echo $(inc) >> $@;)

## easystroke 0.6.0+git20141123

=== debian/changelog ===
easystroke (0.6.0+git20141123-1mx150+1) mx; urgency=medium

  * Pull from git, hopefully kills zombies processes.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 27 Dec 2015 13:47:11 -0800

easystroke (0.6.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 10 Dec 2015 13:17:26 -0800

easystroke (0.6.0-0ubuntu5) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:14:49 +0000

easystroke (0.6.0-0ubuntu4) wily; urgency=medium

  * debian/control:
    - Drop build-depends on valac-0.20, valac-0.20-vapi
  * debian/gtk3vapi.patch:
  * debian/rules:
    - Don't rebuild and patch Vala file - the new version seems to compile fine

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 16 Jun 2015 11:11:40 +1200

easystroke (0.6.0-0ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 04:03:48 +0100

## easystroke 0.6.0+git20160705

=== debian/changelog ===
easystroke (0.6.0+git20160705-1~mx21+1) mx; urgency=medium

  * Rebuild for MX-21, no change.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 15:22:20 -0500

easystroke (0.6.0+git20160705-1mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add sigc.patch, dont-ignore-xshape-when-saving.patch, 
    add-toggle-option.patch, and abs.patch.
  * Drop replace-sigc-group-with-lambda.patch.
  * Bump up to debhelper 9 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Aug 2019 17:43:17 -0700

easystroke (0.6.0+git20160705-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add replace-sigc-group-with-lambda.patch to fix build on Stretch.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Sep 2017 17:13:43 -0700

easystroke (0.6.0+git20160705-1mx15+1) mx; urgency=medium

  * New pull from git, builds with c std 11.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Sep 2017 16:14:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: easystroke
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Jaeger <ThJaeger@gmail.com>
-Build-Depends: debhelper (>= 7),
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Thomas Jaeger <ThJaeger@gmail.com>
+Build-Depends: debhelper (>= 9),
                help2man,
                intltool,
                libboost-serialization-dev,
@@ -13,8 +14,6 @@
                libx11-dev (>= 2:1.3),
                libxi-dev (>= 2:1.3),
                libxtst-dev,
-               valac-0.20,
-               valac-0.20-vapi,
                xserver-xorg-dev (>= 2:1.7.0)
 Standards-Version: 3.9.4
 Homepage: http://easystroke.sourceforge.net
